<?php

function wp_page_numbers_check_num($num)

{

  return ($num%2) ? true : false;

}



function wp_page_numbers_prevpage($paged, $max_page, $prevpage)

{

	$pagingString ='';

	if( $max_page > 1 && $paged > 1 )

		$pagingString = '<li class="page-item"><a class="page-link" href="'.get_pagenum_link($paged-1). '">'.$prevpage.'</a></li>';

	return $pagingString;

}



function wp_page_numbers_left_side($max_page, $limit_pages, $paged, $pagingString)

{

	$pagingString = "";

	$page_check_max = false;

	$page_check_min = false;

	if($max_page > 1)

	{

		for($i=1; $i<($max_page+1); $i++)

		{

			if( $i <= $limit_pages )

			{

				if ($paged == $i || ($paged == "" && $i == 1))

					$pagingString .= '<li class="active_page page-item uk-active active"><a class="page-link">'.$i.'</a></li>'."\n";

				else

					$pagingString .= '<li class="page-item"><a class="page-link" href="'.get_pagenum_link($i). '">'.$i.'</a></li>'."\n";

				if ($i == 1)

					$page_check_min = true;

				if ($max_page == $i)

					$page_check_max = true;

			}

		}

		return array($pagingString, $page_check_max, $page_check_min);

	}

}



function wp_page_numbers_middle_side($max_page, $paged, $limit_pages_left, $limit_pages_right)

{

	$pagingString = "";

	$page_check_max = false;

	$page_check_min = false;

	for($i=1; $i<($max_page+1); $i++)

	{

		if($paged-$i <= $limit_pages_left && $paged+$limit_pages_right >= $i)

		{

			if ($paged == $i)

				$pagingString .= '<li class="active_page page-item uk-active active"><a class="page-link">'.$i.'</a></li>'."\n";

			else

				$pagingString .= '<li class="page-item"><a class="page-link" href="'.get_pagenum_link($i). '">'.$i.'</a></li>'."\n";

				

			if ($i == 1)

				$page_check_min = true;

			if ($max_page == $i)

				$page_check_max = true;

		}

	}

	return array($pagingString, $page_check_max, $page_check_min);

}



function wp_page_numbers_right_side($max_page, $limit_pages, $paged, $pagingString)

{

	$pagingString = "";

	$page_check_max = false;

	$page_check_min = false;

	for($i=1; $i<($max_page+1); $i++)

	{

		if( ($max_page + 1 - $i) <= $limit_pages )

		{

			if ($paged == $i)

				$pagingString .= '<li class="active_page uk-active active"><span>'.$i.'</span></li>'."\n";

			else

				$pagingString .= '<li><a href="'.get_pagenum_link($i). '">'.$i.'</a></li>'."\n";

				

			if ($i == 1)

			$page_check_min = true;

		}

		if ($max_page == $i)

			$page_check_max = true;

		

	}

	return array($pagingString, $page_check_max, $page_check_min);

}



function wp_page_numbers_nextpage($paged, $max_page, $nextpage)

{

	$pagingString='';

	if( $paged != "" && $paged < $max_page)

		$pagingString = '<li class="page-item"><a class="page-link" href="'.get_pagenum_link($paged+1). '">'.$nextpage.'</a></li>'."\n";

	return $pagingString;

}



function wp_page_numbers($start = "", $end = "")

{

	global $wp_query;

	global $max_page;

	global $paged;

	if ( !$max_page ) { $max_page = $wp_query->max_num_pages; }

	if ( !$paged ) { $paged = 1; }

	

	$settings = get_option('wp_page_numbers_array');

	$page_of_page = isset($settings["page_of_page"]) ? $settings["page_of_page"] : null;
	$page_of_page_text = isset($settings["page_of_page_text"]) ? $settings["page_of_page_text"] : null;
	$page_of_of = isset($settings["page_of_of"]) ? $settings["page_of_of"] : null;
	

	$next_prev_text = isset($settings["next_prev_text"]) ? $settings["next_prev_text"]: null;
	$show_start_end_numbers = isset($settings["show_start_end_numbers"]) ? $settings["show_start_end_numbers"] : null;
	$show_page_numbers = isset($settings["show_page_numbers"]) ? $settings["show_page_numbers"] : null;
	

	$limit_pages = isset($settings["limit_pages"]) ? $settings["limit_pages"] : null;
	$nextpage = isset($settings["nextpage"]) ? $settings["nextpage"] : null;
	$prevpage = isset($settings["prevpage"]) ? $settings["prevpage"] : null;
	$startspace = isset($settings["startspace"]) ? $settings["startspace"] : null;
	$endspace = isset($settings["endspace"]) ? $settings["endspace"] : null;

	$pagingMiddleString='';

	if( $nextpage == "" ) { $nextpage = '<i class="uk-icon-angle-right fa fa-angle-left"></i>'; }

	if( $prevpage == "" ) { $prevpage = '<i class="uk-icon-angle-left fa fa-angle-right"></i>'; }

	if( $startspace == "" ) { $startspace = "..."; }

	if( $endspace == "" ) { $endspace = "..."; }

	

	if($limit_pages == "") { $limit_pages = "10"; }

	elseif ( $limit_pages == "0" ) { $limit_pages = $max_page; }

	

	if(wp_page_numbers_check_num($limit_pages) == true)

	{

		$limit_pages_left = ($limit_pages-1)/2;

		$limit_pages_right = ($limit_pages-1)/2;

	}

	else

	{

		$limit_pages_left = $limit_pages/2;

		$limit_pages_right = ($limit_pages/2)-1;

	}

	

	if( $max_page <= $limit_pages ) { $limit_pages = $max_page; }

	

	$pagingString = "<div id='wp_page_numbers'>\n";

	// $pagingString .= '<ul class="uk-pagination pagination uk-text-center">';
	$pagingString .= '<ul class="pagination justify-content-center cs-pagination1 mt-3 mb-5">';

	

	if($page_of_page != "no")

		//$pagingString .= wp_page_numbers_page_of_page($max_page, $paged, $page_of_page_text, $page_of_of);

	

	if( ($paged) <= $limit_pages_left )

	{

		list ($value1, $value2, $page_check_min) = wp_page_numbers_left_side($max_page, $limit_pages, $paged, $pagingString);

		$pagingMiddleString .= $value1;

	}

	elseif( ($max_page+1 - $paged) <= $limit_pages_right )

	{

		list ($value1, $value2, $page_check_min) = wp_page_numbers_right_side($max_page, $limit_pages, $paged, $pagingString);

		$pagingMiddleString .= $value1;

	}

	else

	{

		list ($value1, $value2, $page_check_min) = wp_page_numbers_middle_side($max_page, $paged, $limit_pages_left, $limit_pages_right);

		$pagingMiddleString .= $value1;

	}

	if($next_prev_text != "no")

		$pagingString .= wp_page_numbers_prevpage($paged, $max_page, $prevpage);



		if ($page_check_min == false && $show_start_end_numbers != "no")

		{

			$pagingString .= "<li class=\"first_last_page\">";

			$pagingString .= "<a href=\"" . get_pagenum_link(1) . "\">1</a>";

			$pagingString .= "</li>\n<li  class=\"space\">".$startspace."</li>\n";

		}

	

	if($show_page_numbers != "no")

		$pagingString .= $pagingMiddleString;

	

		if ($value2 == false && $show_start_end_numbers != "no")

		{

			$pagingString .= "<li class=\"space\">".$endspace."</li>\n";

			$pagingString .= "<li class=\"first_last_page\">";

			$pagingString .= "<a href=\"" . get_pagenum_link($max_page) . "\">" . $max_page . "</a>";

			$pagingString .= "</li>\n";

		}

	

	if($next_prev_text != "no")

		$pagingString .= wp_page_numbers_nextpage($paged, $max_page, $nextpage);

	

	$pagingString .= "</ul>\n";

	

	$pagingString .= "<div style='float: none; clear: both;'></div>\n";

	$pagingString .= "</div>\n";

	

	if($max_page > 1)

		echo $start . $pagingString . $end;

}

function custom_wp_page_numbers($start = "", $end = "")
{
	global $wp_query;
	global $max_page;
	global $paged;
	if ( !$max_page ) { $max_page = $wp_query->max_num_pages; }
	if ( !$paged ) { $paged = 1; }
	$settings = get_option('wp_page_numbers_array');
	$page_of_page = $settings["page_of_page"];
	$page_of_page_text = $settings["page_of_page_text"];
	$page_of_of = $settings["page_of_of"];
	$next_prev_text = $settings["next_prev_text"];
	$show_start_end_numbers = $settings["show_start_end_numbers"];
	$show_page_numbers = $settings["show_page_numbers"];
	$limit_pages = $settings["limit_pages"];
	$nextpage = $settings["nextpage"];
	$prevpage = $settings["prevpage"];
	$startspace = $settings["startspace"];
	$endspace = $settings["endspace"];

	$pagingMiddleString='';

	if( $nextpage == "" ) { $nextpage = '<i class="uk-icon-angle-right fa fa-angle-left"></i>'; }

	if( $prevpage == "" ) { $prevpage = '<i class="uk-icon-angle-left fa fa-angle-right"></i>'; }

	if( $startspace == "" ) { $startspace = "..."; }

	if( $endspace == "" ) { $endspace = "..."; }

	

	if($limit_pages == "") { $limit_pages = "10"; }

	elseif ( $limit_pages == "0" ) { $limit_pages = $max_page; }

	

	if(wp_page_numbers_check_num($limit_pages) == true)

	{

		$limit_pages_left = ($limit_pages-1)/2;

		$limit_pages_right = ($limit_pages-1)/2;

	}

	else

	{

		$limit_pages_left = $limit_pages/2;

		$limit_pages_right = ($limit_pages/2)-1;

	}

	

	if( $max_page <= $limit_pages ) { $limit_pages = $max_page; }

	

	$pagingString = "<nav id='wp_page_numbers'>\n";

	$pagingString .= '<ul class="pagination justify-content-end">';

	

	if($page_of_page != "no")

		//$pagingString .= wp_page_numbers_page_of_page($max_page, $paged, $page_of_page_text, $page_of_of);

	

	if( ($paged) <= $limit_pages_left )

	{

		list ($value1, $value2, $page_check_min) = wp_page_numbers_left_side($max_page, $limit_pages, $paged, $pagingString);

		$pagingMiddleString .= $value1;

	}

	elseif( ($max_page+1 - $paged) <= $limit_pages_right )

	{

		list ($value1, $value2, $page_check_min) = wp_page_numbers_right_side($max_page, $limit_pages, $paged, $pagingString);

		$pagingMiddleString .= $value1;

	}

	else

	{

		list ($value1, $value2, $page_check_min) = wp_page_numbers_middle_side($max_page, $paged, $limit_pages_left, $limit_pages_right);

		$pagingMiddleString .= $value1;

	}

	if($next_prev_text != "no")

		$pagingString .= wp_page_numbers_prevpage($paged, $max_page, $prevpage);



		if ($page_check_min == false && $show_start_end_numbers != "no")

		{

			$pagingString .= "<li class=\"first_last_page\">";

			$pagingString .= "<a href=\"" . get_pagenum_link(1) . "\">1</a>";

			$pagingString .= "</li>\n<li  class=\"space\">".$startspace."</li>\n";

		}

	

	if($show_page_numbers != "no")

		$pagingString .= $pagingMiddleString;

	

		if ($value2 == false && $show_start_end_numbers != "no")

		{

			$pagingString .= "<li class=\"space\">".$endspace."</li>\n";

			$pagingString .= "<li class=\"first_last_page\">";

			$pagingString .= "<a href=\"" . get_pagenum_link($max_page) . "\">" . $max_page . "</a>";

			$pagingString .= "</li>\n";

		}

	

	if($next_prev_text != "no")

		$pagingString .= wp_page_numbers_nextpage($paged, $max_page, $nextpage);

	

	$pagingString .= "</ul>\n";

	

	$pagingString .= "<div style='float: none; clear: both;'></div>\n";

	$pagingString .= "</nav>\n";

	

	if($max_page > 1)

		echo $start . $pagingString . $end;

}





?>